classification
Title: Do not run pgen during the build if files are up to date
Type: Stage: resolved
Components: Build Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: doko Nosy List: Arfrever, doko, python-dev
Priority: normal Keywords: patch

Created on 2012-03-15 17:07 by doko, last changed 2012-04-05 08:18 by Arfrever. This issue is now closed.

Files
File name Uploaded Description Edit
pgen.diff doko, 2012-03-15 17:07 patch review
Messages (4)
msg155910 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2012-03-15 17:07
For a cross build, make tries to run pgen built for the host machine, not the build machine. However it is not necessary to run pgen at all if all the files are up to date. This change implements it.

The release script (if something like this exists) should make sure that the time stamps are correct, and then pgen isn't even built for a native build.

reviewed by MvL
msg155911 - (view) Author: Roundup Robot (python-dev) Date: 2012-03-15 17:08
New changeset 52597f888e7a by Matthias Klose in branch 'default':
- Issue #14321: Do not run pgen during the build if files are up to date.
http://hg.python.org/cpython/rev/52597f888e7a
msg157251 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2012-04-01 03:05
References to no longer used Parser/pgen.stamp file should be removed in:
Makefile.pre.in
.bzrignore
.gitignore
.hgignore
msg157465 - (view) Author: Roundup Robot (python-dev) Date: 2012-04-04 11:21
New changeset 4e306c1a3c92 by Matthias Klose in branch 'default':
Followup for issue #14321, remove references to Parser/pgen.stamp
http://hg.python.org/cpython/rev/4e306c1a3c92
History
Date User Action Args
2012-04-05 08:18:02Arfreversetresolution: fixed
2012-04-04 11:52:13dokosetstatus: open -> closed
2012-04-04 11:21:02python-devsetmessages: + msg157465
2012-04-01 03:05:38Arfreversetstatus: closed -> open

nosy: + Arfrever
messages: + msg157251

resolution: fixed -> (no value)
2012-03-16 02:36:32eric.araujosetresolution: fixed
stage: resolved
2012-03-15 17:10:03dokosetstatus: open -> closed
2012-03-15 17:08:48python-devsetnosy: + python-dev
messages: + msg155911
2012-03-15 17:07:23dokocreate